Error de compilation después de actualizar a Android Studio 3.0 con Kotlin

Hoy, Android Studio acaba de lanzar 3.0. Después de actualizar todas las dependencies, no puedo build mi proyecto, incluso el IDE no muestra ningún error en el código. (Gradle Sync está bien)

build.gradle (Proyecto)

buildscript { ext.kotlin_version = "1.1.51" repositories { jcenter() google() } dependencies { classpath "com.android.tools.build:gradle:3.0.0" classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version" } } allprojects { repositories { jcenter() google() } } task clean(type: Delete) { delete rootProject.buildDir } 

build.gradle (Aplicación)

 apply plugin: "com.android.application" apply plugin: "kotlin-android" apply plugin: "kotlin-android-extensions" apply plugin: "kotlin-kapt" android { compileSdkVersion 26 buildToolsVersion "26.0.2" defaultConfig { minSdkVersion 19 targetSdkVersion 26 versionCode 12 versionName "1.1.2" vectorDrawables.useSupportLibrary = true testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" javaCompileOptions { annotationProcessorOptions { arguments = ["room.schemaLocation": "$projectDir/schemas".toString()] } } } flavorDimensions "build" productFlavors { UAT { resValue "string", "app_name", "UAT" dimension "build" } SIS { resValue "string", "app_name", "SIS" dimension "build" } PROD { resValue "string", "app_name", "PROD" dimension "build" } } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile("proguard-android.txt"), "proguard-rules.pro" } } } dependencies { compile fileTree(dir: "libs", include: ["*.jar"]) compile "org.jetbrains.kotlin:kotlin-stdlib-jre7:$kotlin_version" compile "org.jetbrains.kotlin:kotlin-reflect:$kotlin_version" compile "com.android.support:appcompat-v7:26.1.0" compile "com.android.support:support-v13:26.1.0" compile "com.android.support:design:26.1.0" compile "com.android.support.constraint:constraint-layout:1.0.2" // Skip testCompile "junit:junit:4.12" androidTestCompile "com.android.support.test.espresso:espresso-core:3.0.1" kapt "android.arch.persistence.room:compiler:1.0.0-rc1" kapt "com.google.dagger:dagger-compiler:2.11" } 

He intentado api, implementación y compilation.

Error

 e: C:\Users\user\AndroidStudioProjects\project\app\src\main\java\com\example\ContextExtension.kt: (47, 34): Unresolved reference: LOLLIPOP e: C:\Users\user\AndroidStudioProjects\project\app\src\main\java\com\example\ContextExtension.kt: (104, 58): Unresolved reference: LOLLIPOP e: C:\Users\user\AndroidStudioProjects\project\app\src\main\java\com\example\ContextExtension.kt: (173, 58): Unresolved reference: LOLLIPOP ... 

Pero la línea está bien antes de la actualización, y Android Studio no la resalta en rojo.

 @RequiresApi(Build.VERSION_CODES.LOLLIPOP) 

Para su reference, el error aparece en :app:compilePRODDebugKotlin .

Editar: he encontrado la razón. No entiendo bien la implementation y omití una exclude . Agregar de nuevo la exclusión solucionó el problema.